Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.desktop2
Interface Desktop

All Known Implementing Classes:
  DesktopFullscreen, DesktopMDI, DesktopWithContainer, DesktopWithoutContainer

    public interface Desktop

Method Summary
`void` | `addComponent(madkit.desktop2.AgentInfo _ai, java.awt.Component c)`
`void` | `addIcon(IconInfo iconInfo)`
`void` | `addMenuSystem(javax.swing.JMenuItem menuSystem)`
`void` | `dispose()`
`int` | `getHeight()`
`java.awt.Component` | `getTopComponent()`
`int` | `getWidth()`
`void` | `init(madkit.desktop2.AgentInfo ai, java.util.LinkedList menuInfos, DesktopAgentGUI desktopAgentGUI)`
`void` | `removeComponent(java.awt.Component c)`
`void` | `removeIcon(IconInfo iconInfo)`
`void` | `setProperty(madkit.desktop2.PropertyDesktop propertyDesktop)`
`void` | `show()`
`void` | `toBack(java.awt.Component c)`
`void` | `toFront(java.awt.Component c)`

Method Detail

### addIcon

    void addIcon(IconInfo iconInfo)

### addComponent

    void addComponent(madkit.desktop2.AgentInfo _ai,
                      java.awt.Component c)

### addMenuSystem

    void addMenuSystem(javax.swing.JMenuItem menuSystem)

### dispose

    void dispose()

### getHeight

    int getHeight()

### getTopComponent

    java.awt.Component getTopComponent()

### getWidth

    int getWidth()

### init

    void init(madkit.desktop2.AgentInfo ai,
              java.util.LinkedList menuInfos,
              DesktopAgentGUI desktopAgentGUI)

### removeComponent

    void removeComponent(java.awt.Component c)

### removeIcon

    void removeIcon(IconInfo iconInfo)

### setProperty

    void setProperty(madkit.desktop2.PropertyDesktop propertyDesktop)

### show

    void show()

### toFront

    void toFront(java.awt.Component c)

### toBack

    void toBack(java.awt.Component c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.